# Ballotpedia Data Client Documentation

## \[External] Bulk Data Documentation (Candidates)

- [Introduction](https://developer.ballotpedia.org/introduction.md)
- [Getting started with geographic APIs](https://developer.ballotpedia.org/geographic-apis/getting-started-with-geographic-apis.md)
- [About redistricting](https://developer.ballotpedia.org/geographic-apis/about-redistricting.md)
- [/districts](https://developer.ballotpedia.org/geographic-apis/districts.md): Voting districts endpoint
- [/officeholders](https://developer.ballotpedia.org/geographic-apis/officeholders.md): Current officeholders endpoint
- [/election\_dates](https://developer.ballotpedia.org/geographic-apis/election_dates.md): Election dates by point or by state
- [/elections\_by\_point](https://developer.ballotpedia.org/geographic-apis/elections_by_point.md): Election ballots and results (candidates running) by point
- [/elections\_by\_state](https://developer.ballotpedia.org/geographic-apis/elections_by_state.md): Election ballots and results (candidates running) by state
- [/usage](https://developer.ballotpedia.org/geographic-apis/usage.md)
- [Practical guide](https://developer.ballotpedia.org/geographic-apis/practical-guide.md)
- [Rate limiting](https://developer.ballotpedia.org/rate-limiting.md)
- [Ballot measures endpoints](https://developer.ballotpedia.org/ballot-measures-api/ballot-measures-endpoints.md)
- [Downloading bulk data via the client portal](https://developer.ballotpedia.org/bulk-data/downloading-bulk-data-via-the-client-portal.md)
- [Downloading bulk data via API](https://developer.ballotpedia.org/bulk-data/downloading-bulk-data-via-api.md)
- [Rate limiting](https://developer.ballotpedia.org/bulk-data/rate-limiting.md)
- [About the Candidates data set](https://developer.ballotpedia.org/dictionaries-and-terms/about-the-candidates-data-set.md)
- [Data dictionary: Voting rules](https://developer.ballotpedia.org/dictionaries-and-terms/data-dictionary-voting-rules.md)
- [Data dictionary: Officeholders](https://developer.ballotpedia.org/dictionaries-and-terms/data-dictionary-officeholders.md)
- [Data dictionary: Ballot Measures](https://developer.ballotpedia.org/dictionaries-and-terms/data-dictionary-ballot-measures.md)
- [Data dictionary: Candidates](https://developer.ballotpedia.org/dictionaries-and-terms/data-dictionary-candidates.md)
- [Data dictionary: Endorsements](https://developer.ballotpedia.org/dictionaries-and-terms/data-dictionary-endorsements.md)
- [Data dictionary: Campaign themes](https://developer.ballotpedia.org/dictionaries-and-terms/data-dictionary-campaign-themes.md)
- [Data dictionary: Candidate survey responses](https://developer.ballotpedia.org/dictionaries-and-terms/data-dictionary-candidate-survey-responses.md)
- [Terms of Use](https://developer.ballotpedia.org/dictionaries-and-terms/terms-of-use.md)
- [Release notes 2026-05-31](https://developer.ballotpedia.org/release-notes/release-notes-2026-05-31.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://developer.ballotpedia.org/introduction.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
